#include<bits/stdc++.h>
using namespace std;

int main(){
	string t,x,s;
	cin >> t >> s;
	int ind;
	ind = 0;
	if (s.size() > 1 or s[0] != 'a'){
		return 0;
	}
	for (int i = 0; i < t.size(); i++){
		if (i == 0){
			if (t[0] == 'a'){
				x = "*";
				ind++;
			}
			else {
				x = t[0];
			}
		}
		else {
			if (t[i] == 'a'){
				x += "*";
				ind++;
			}
			else {
				x += t[i];
			}
		}
	}
	cout << ind << endl << x;
}